@font-face {
    font-family: PangMenZhengDaoBiao;
    src: url("/cas/pages/seed-base/img/PangMenZhengDaoBiao.ttf");
}
@font-face {
    font-family: SourceHanSansCNRegular;
    src: url("/cas/pages/seed-base/img/SourceHanSansCNRegular.ttf");
}
@font-face {
    font-family: ZhenyanGB-Regular;
    src: url("/cas/pages/seed-base/img/ZhenyanGB-Regular.ttf");
}
@font-face {
    font-family: FZHanZhenGuangBiaoS-GB;
    src: url("/cas/pages/seed-base/img/FZHanZhenGuangBiaoS-GB.ttf");
}

html,
body,
#login {
    width: 100%;
    height: 100%;
    margin: 0;
    padding: 0;
    color: #333;
    min-width: 980px;
    min-height: 700px;

    background: #fff url("/cas/pages/seed-base/img/znbg.png") no-repeat top center;

    background-size: 100% 100%;
    position: absolute;
    user-select: none;
    -webkit-user-drag: none;
    font-family: SourceHanSansCNRegular;
    overflow:hidden;
}
#login{
    
}
#login>.lg-container {
    position: absolute;
    margin: 0 auto;
    width: 65vw;
    height: 70vh;
    font-size: 0.2rem;
    box-sizing: border-box;
    display: flex;
    /* background-image: url("https://smart.topyn.cn/cas/images/yunxi/content-bg.png"); */
    background-repeat: no-repeat;
    background-size: 100% 100%;
}

.big-title{
    font-family: PangMenZhengDaoBiao;
    font-size: 2.5vw;
    letter-spacing: 0.3vw;
    background: linear-gradient(180deg, #FFFFFF 0%, #00CBFF 0%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    position: fixed;
    top: 5%;
    left: 5%;
}


.lg-container-right{
    width: fit-content;
    min-width: 250px;
    height: 100%;
    position: absolute;
    top: 0;
    right: 0;
    background: rgba(0, 0, 0, 0.3);
    padding: min(5.2083333333vw, 9.2592592593vh) min(3.5416666667vw, 6.2962962963vh) 0;
    display: flex;
    flex-direction: column;
    align-items: center;
    box-sizing: border-box;
}


.right-top-title{
    display: block;
    width: 100%;
    font-size: 1.2vw;
    text-align: left;
    color: #fff;
    letter-spacing: 0.2vw;
}

.right-top-subtitle{
    width: 100%;
height: 28px;
font-size: 28px;
font-weight: 500;
color: #00E4F9;
    padding-left:6vw;
    margin-top:20px; 
    position:relative;
    box-sizing:border-box;
}

.right-top-subtitle::before{
    content:"";
    width:56px;
    height:4px;
    background:#00E4F9;
    position:absolute;
    left:0;
    top:-5px;
}


.logo-container{
    display: flex;
    flex-direction: column;
    gap: min(1.5625vw, 2.7777777778vh);
    align-items: center;
}
.logo-container .icon{
    width: min(7.5520833333vw, 13.4259259259vh);
    height: fit-content;
    object-fit: contain;
    min-width: 90px;
}
.logo-container .name{
    font-family: ZhenyanGB-Regular;
    font-weight: 400;
    font-size: min(1.5625vw, 2.7777777778vh);
    color: #FFFFFF;
    line-height: min(1.5625vw, 2.7777777778vh);
    position: relative;
}
.logo-container .name::after{
    font-weight: 400;
    font-size: min(1.5625vw, 2.7777777778vh);
    color: rgba(255, 255, 255, 0);
    line-height: min(1.5625vw, 2.7777777778vh);
    background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0.15) 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    margin-top: min(0.4166666667vw, 0.7407407407vh);
    display: block;
    content: attr(data-text);
    transform: scaleY(-1);
}


.login-box-footer{
    border-top: 1px solid rgba(255, 255, 255, 0.67);
    font-weight: 400;
    font-size: 12px;
    color: rgba(255, 255, 255, 0.6);
    line-height: 25px;
    padding: 15px 0;
    width: fit-content;
    margin: 0 auto;
    white-space: nowrap;
    height: 56px;
    box-sizing: border-box;
}

.project-info{
    display: flex;
    align-items: center;
    padding-bottom: 5%;
    flex: 1;
    overflow: hidden;
    position: absolute;
    height: 100%;
}
.project-info .project-info-content{
    display: flex;
    align-items: flex-start;
    padding: 0 12.7% 0 8.2%;
    flex: 1;
}
.project-info .project-info-content .left-icon{
    width: min(8.6979166667vw, 15.462962963vh);
    height: fit-content;
    object-fit: contain;
}
.project-info .project-info-content .project-name{
    font-family: FZHanZhenGuangBiaoS-GB;
    font-weight: 400;
    font-size: min(3.59375vw, 6.3888888889vh);
    line-height: min(3.59375vw, 6.3888888889vh);
    background: linear-gradient(46deg, #7AFF2F 0%, #7AFF2F 50%, #00F0FF 55%, #00F0FF 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    position: relative;
    letter-spacing: 0.2em;
    margin: min(0.8333333333vw, 1.4814814815vh) 7% 0 4.7%;
    white-space: nowrap;
}
.project-info .project-info-content .project-name::before{
    content: attr(data-text);
    position: absolute;
    left: 0;
    top: 0;
    font-family: FZHanZhenGuangBiaoS-GB;
    font-weight: 400;
    font-size: min(3.59375vw, 6.3888888889vh);
    color: transparent;
    line-height: min(3.59375vw, 6.3888888889vh);
    background: linear-gradient(46deg, #7AFF2F 0%, #7AFF2F 35%, #00F0FF 65%, #00F0FF 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    z-index: 1;
}
.project-info .project-info-content .project-name::after{
    content: attr(data-text);
    position: absolute;
    left: 0;
    top: 0;
    text-shadow: 0px 7px 10px rgba(0, 0, 0, 0.55);
    z-index: 0;
}
.project-info .project-info-content .project-des{
    flex: 1;
    margin-top: min(0.5208333333vw, 0.9259259259vh);
}
.project-info .project-info-content .project-des .title{
    white-space: nowrap;
    font-weight: bold;
    font-size: min(1.875vw, 3.3333333333vh);
    color: transparent;
    line-height: min(1.875vw, 3.3333333333vh);
    background: linear-gradient(46deg, #7AFF2F 0%, #7AFF2F 35%, #00F0FF 65%, #00F0FF 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    margin-bottom: min(1.40625vw, 2.5vh);
    position: relative;
}
.project-info .project-info-content .project-des .title::before{
    content: attr(data-text);
    position: absolute;
    left: 0;
    top: 0;
    font-size: min(1.875vw, 3.3333333333vh);
    color: transparent;
    line-height: min(1.875vw, 3.3333333333vh);
    background: linear-gradient(46deg, #7AFF2F 0%, #7AFF2F 35%, #00F0FF 65%, #00F0FF 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    margin-bottom: min(1.40625vw, 2.5vh);
    z-index: 1;
}
.project-info .project-info-content .project-des .title::after{
    content: attr(data-text);
    position: absolute;
    left: 0;
    top: 0;
    text-shadow: 0px 2px 4px rgba(0, 0, 0, 0.56);
    z-index: 0;
}
.project-info .project-info-content .project-des .content{
    font-weight: 500;
    font-size: min(0.9375vw, 1.6666666667vh);
    color: #FFFFFF;
    line-height: min(1.3020833333vw, 2.3148148148vh);
    text-shadow: 0px 1px 4px rgba(0, 0, 0, 0.9);
    text-indent: 2em;
}




#loginForm{
    margin-top:40px;
    flex: 1;
}



.lg-logo {
    width: 60%;
    margin: 10% auto;
    position: relative;
    padding-top: 60.63%;
}

.lg-logo img {
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
}

.lg-from-box {
    /* width: 70%; */
    margin: 0 auto;
    height: 100%;
    display: flex;
    flex-direction: column;
}

.lg-from-header {
    width: 100%;
    height: 20%;
    margin-bottom: 30px;
    color: #333;
    font-size: 1.5vw;
    letter-spacing: 3px;
    display: flex;
    justify-content: center;
    align-items: flex-end;
}

.lg-scan {
    width: 40px;
    height: 40px;
    position: absolute;
    right: 5px;
    top: 5px;
    cursor: pointer;
}

.lg-scan img {
    height: 100%;
    position: absolute;
    right: 0;
}

.login-content .input {
    width: 100%;
    border: 2px solid #fff;
    border-radius: 0.2vw;
}

.login-content .input input {
    width: 100%;
    height: 48px;
    background: transparent;
    border: none;
    text-align: left;
    color: #333;
    padding-left: 15px;
    box-sizing: border-box;
}
.login-content .input input::placeholder{
    color: #cecece;
    font-family: SourceHanSansCNRegular;
}

input:focus {
    border: none;
    outline: none;
}

.code {
    display: flex;
    /* height: 47px; */
    border-top: 1px solid #fff;
    align-items: center;
}

.code img {
    height: 2vw;
    border-bottom-right-radius: 8px;
}

.login-content .input .user-name>input,
.login-content .input .user-pw>input,
.login-content .input .code>input{
    background-color: transparent;
    color:#fff;
}
.login-content .input .user-name>input{
    border-bottom: 1px solid #fff;
}
.login-content .input .code>input{
    border: none;
}

#loginBtn {
    height: 48px;
    /* background: linear-gradient(180deg, #34A3F3, #00CBFF); */
 

    background-color:rgba(0, 218, 238, 0.76);

    box-sizing: border-box;

    
    line-height: 48px;
    border-radius: 4px;
    text-align: center;
    color: white;
    font-size: 1vw;
    letter-spacing: 0.3vw;
}

#error_msg {
    padding: 12px;
}

.lg-from-footer {
    margin: 10px 0;
    color: #333;
}

.lg-login-way {
    width: 100%;
    height: 40px;
    /* margin-top: 20%; */
    position: absolute;
    bottom: 30px;
}
.lg-login-way .way {
    display: flex;
    align-items: center;
}
.other-way-word{
    color: #333;
    margin-right: 20px;
    font-weight: 600;
}

.lg-login-way .top {
    width: 80%;
    margin: 10px auto;
}

.lg-login-way .top ul li {
    width: 50%;
    height: 30px;
    line-height: 30px;
    text-align: center;
}

.lg-login-way .top ul li:nth-child(1),
.lg-login-way .top ul li:nth-child(3) {
    border-top: 1px solid #898c85;
    position: relative;
    top: 15px;
    height: 0.5px;
    width: 20%;
}

.lg-login-way .way ul li {
    width: 36px;
    cursor: pointer;
}
.lg-login-way .way ul li img{
    width: 100%;
}
ul {
    display: flex;
    justify-content: space-between;
    margin: 0;
    padding: 0;
}

ul,li {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

a {
    color: #333;
    text-decoration: none;
}

a:hover {
    color: #08b0bd;
}

.lg-footer {
    position: absolute;
    bottom: 8px;
    text-align: center;
    width: 100%;
    color: #898c85;

}
.lg-code-box{
    height: 130px;
    position: absolute;
    bottom: 0;
    right: -150px;
    display: flex;
    background-color: #fff;
    padding-bottom: 10px;
}
.lg-code-box .lg-code{
    width: 120px;
    margin: 0 10px;
    border-top-left-radius: 8px;
    border-top-right-radius: 8px;
    position: relative;
}
.lg-code-box .lg-code p{
    margin: 2px 0;
    width: 100%;
    text-align: center;
    position: absolute;
    top: -25px;
    color: #fff;
}
.lg-code-box .lg-code img{
    position: absolute;
    bottom: 0;
    width: 100%;
}
.lg-footer p {
    display: inline;
    border-top: 1px solid #898c85;
    padding: 8px 0;
}

/* 澶勭悊娴忚鍣ㄩ€夋嫨鍘嗗彶淇℃伅鍚庢洿鏀硅儗鏅壊 */
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active{
    -webkit-transition-delay: 99999s;
    -webkit-transition: color 99999s ease-out, background-color 99999s ease-out;
}
.box-t{
    width: 100%;
    height: 159px;
    background-color: #08b0bd;
    display: none;
}
#saoClass{
    position: absolute;
    left: -105px;
    display: none;
}
.lg-scan:hover #saoClass{
    display: block;
}

.weiqueren{
    height: 255px;
    width: 255px;
    margin: 0 auto;
    text-align: center;
}
.saoma{
    height: 255px;
    width: 255px;
    margin: 0 auto;
    /* border: solid 1px #000; */
    box-sizing: border-box;
    text-align: center;
    /* margin-top: 39px; */
    position: relative;
    display: none;
    border: 1px rgb(131, 131, 131) solid;
    border-radius: 3px;
}
.zhucet{
    position: absolute;
    bottom: -23px;
    right: 0;
}
.saoma .erweima{
    width: 170px;
    height: 170px;
    background-color: #f7f7f7;
    border: solid 1px #c1c1c1;
    margin: 0 auto;
    display: flex;
    justify-content: center;
    align-items: center;
}
.saoma .erweimatxt{
    font-size: 18px;
    margin-top: 25px;
    color: #555555;
}
.saoma .successimg{
    width: 141px;
    height: 231px;
}
.saoma .successtxt1{
    color: #555555;
    font-size: 18px;
    margin-top: 23px;
}
.saoma .successtxt2{
    font-size: 14px;
    color: #999;
    margin-top: 22px;
}
.saoma .successtxt2 .fanhui{
    color: #00A4FF;
    cursor: pointer;
}
.saoma .shuaxin{
    position: absolute;
    left: 0;
    top: 0;
    width: 255px;
    height: 255px;
    /* line-height: 235px; */
    text-align: center;
    background-color: rgba(0, 0, 0, 0.5);
    /* display: flex;
    align-items: center;
    justify-content: center; */
    padding-top: 33%;
    box-sizing: border-box;
}
.saoma .shuaxin img{
    width: 48px;
    height: 48px;
    cursor: pointer;
}
.error{
    position: relative;
    top: 10px;
}
.t-top{
    width: 100%;
    height: 42px;
    display: flex;
    line-height: 42px;
    padding: 0 13px;
    box-sizing: border-box;
    justify-content: space-between;
}
.t-topimg{
    width: 27px;
    cursor: pointer;
    padding-top: 7px;
}
.t-topimg img{
    width: 100%;
}
.t-bottomclass{
    height: 42px;
    line-height: 42px;
    display: flex;
    padding: 0 20px;
    box-sizing: border-box;
    justify-content: space-between;
}
.t-bottomclass span{
    font-size: 12px;
}
.bottomimg{
    width: 20px;
    padding-top: 5px;
    box-sizing: border-box;
}

.bottomimg img,#quan{
    width: 100%;
}
.weibox{
    width: 80px;
    height: 80px;
    /* background-color: #ff3700; */
    margin: 0 auto;
    position: relative;
}
#quanli{
    position: absolute;
    top: 21px;
    left: 11px;
}
.dengluling,.dengluling2{
    font-size: 13px;
    margin-top: 10px;
    letter-spacing: 1px;
}
@keyframes turn{
    0%{-webkit-transform:rotate(0deg);}
    25%{-webkit-transform:rotate(90deg);}
    50%{-webkit-transform:rotate(180deg);}
    75%{-webkit-transform:rotate(270deg);}
    100%{-webkit-transform:rotate(360deg);}
}
.t-bac-img{
    width: 60%;
    height: 30px;
    position: absolute;
    top: 45%;
    left: 100px;
}
.t-bac-img img{
    width: 100%;
}


.lg-code{
    position: relative;
}
.hover-img{
    position: absolute;
    width: 200px;
    height: 200px;
    background-color: #08b0bd;
    top: -200px;
    left: -50px;
    display: none;
}
.hover-img img{
    width: 100%;
    height: 100%;
}
.lg-code:hover .hover-img{
    display: block;
}


.user-name,.user-pw,.code{
    position: relative;
}
.login-input-icon{
    position: absolute;
    left: 20px;
    top: 15px;
    height: auto !important;
    width: 17px;
}
.user-pw .login-input-icon{
}
